﻿--Creates the options menu
_G.ZEALOEDMenu = _G.ZEALOEDMenu or {}
ZEALOEDMenu._path = ModPath
ZEALOEDMenu._data_path = ModPath .. "menu/settings.json"
ZEALOEDMenu._data = {}

function ZEALOEDMenu:Save()
	local file = io.open( self._data_path, "w+" )
	if file then
		file:write( json.encode( self._data ) )
		file:close()
	end
end

function ZEALOEDMenu:Load()
	local file = io.open( self._data_path, "r" )
	if file then
		self._data = json.decode( file:read("*all") )
		file:close()
	end
    if not ZEALOEDMenu._data.medic_rifle then ZEALOEDMenu._data.medic_rifle = false end
    if not ZEALOEDMenu._data.zeal_marksman then ZEALOEDMenu._data.zeal_marksman = false end
end

Hooks:Add("LocalizationManagerPostInit", "ZEAL_localize_menu", function(loc)
	loc:load_localization_file(ZEALOEDMenu._path .. "menu/english.json")
end)

Hooks:Add("MenuManagerInitialize", "ZEAL_init_menu", function(menu_manager)
	MenuCallbackHandler.zealoed_medic_rifle_callback = function(self, item)
		ZEALOEDMenu._data.medic_rifle = (item:value() == "on" and true or false)
		ZEALOEDMenu:Save()
	end

	MenuCallbackHandler.zealoed_zeal_marksman_callback = function(self, item)
		ZEALOEDMenu._data.zeal_marksman = (item:value() == "on" and true or false)
		ZEALOEDMenu:Save()
	end

	ZEALOEDMenu:Load()

	MenuHelper:LoadFromJsonFile(ZEALOEDMenu._path .. "menu/menu.json", ZEALOEDMenu, ZEALOEDMenu._data)
end)